Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XmlUnitTestResultPrinter Class Reference
Inheritance diagram for XmlUnitTestResultPrinter:

## Public Member Functions
| XmlUnitTestResultPrinter (const char *output_file)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
| XmlUnitTestResultPrinter (const char *output_file)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
| XmlUnitTestResultPrinter (const char *output_file)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
Public Member Functions inherited from EmptyTestEventListener
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &, int)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &)
virtual void | OnTestStart (const TestInfo &)
virtual void | OnTestPartResult (const TestPartResult &)
virtual void | OnTestEnd (const TestInfo &)
virtual void | OnTestCaseEnd (const TestCase &)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestProgramEnd (const UnitTest &)
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &, int)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &)
virtual void | OnTestStart (const TestInfo &)
virtual void | OnTestPartResult (const TestPartResult &)
virtual void | OnTestEnd (const TestInfo &)
virtual void | OnTestCaseEnd (const TestCase &)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestProgramEnd (const UnitTest &)
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &, int)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &)
virtual void | OnTestStart (const TestInfo &)
virtual void | OnTestPartResult (const TestPartResult &)
virtual void | OnTestEnd (const TestInfo &)
virtual void | OnTestCaseEnd (const TestCase &)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestProgramEnd (const UnitTest &)
Public Member Functions inherited from TestEventListener
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()

## Constructor & Destructor Documentation

XmlUnitTestResultPrinter | ( | const char * | output_file | ) |
| explicit

XmlUnitTestResultPrinter | ( | const char * | output_file | ) |
| explicit

XmlUnitTestResultPrinter | ( | const char * | output_file | ) |
| explicit

## Member Function Documentation

void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Reimplemented from EmptyTestEventListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Reimplemented from EmptyTestEventListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Reimplemented from EmptyTestEventListener.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc